Motto

В тихом саду здравомыслия
Пусть на вас постоянно падают
кокосовые орехи пробужденности.
Чогьям Трунгпа РИНПОЧЕ


Версия для мобильного


четверг, 22 января 2009 г.

Обновления компонентов: JCL, JVCL, FibPlus, SpTbx, Ehlib.

FibPlus для Delphi 2009

Наконец-то, через полгода после обещанного срока, вышла в свет версия FibPlus для Delphi 2009. На сайте разработчиков доступна для скачивания ознакомительная версия. Данная версия нелогично имеет номер 6.9.5. – точно такой же, что и у последнего обновления доступного подписчикам. Будьте внимательны, эта версия версия FIBPlus совместима только с  Delphi/C++ Builder 2009. К сожалению, пока я ждал этого выпуска, у меня закончилась подписка, так что сам я её пока не тестировал, не смотрел. Впрочем, на Delphi 2009 на работе ещё не переходили – ждали всё ту же версию FibPlus.

Вышли JCL 1.104(3248) и JVCL 3.36

По сравнению с предыдущей версией, эта намного стабильнее работает в Delphi 2009. Рекомендую скачивать одним архивом JVCL336CompleteJCL1104-Build3248.zip содержащим и JCL и JVCL.

Ehlib

Кстати, в декабре(11.12.2008) вышла официальная версия Ehlib поддерживающая Delphi 2009. Удивительно, но проект оказывается не совсем умер.

SpTbx

17 января вышла свежая версия замечательнейших тулбаров с поддержкой юникода и скинов SpTbxLib. Кстати разработчик наконец купил домен, и теперь сайт проекта расположен по адресу http://www.silverpointdevelopment.com/. Обновите закладки. Сообщить об ошибках и попросить помощи о SpTbx можно в новостной группе: http://news.jrsoftware.org/read/thread.php?group=jrsoftware.toolbar2000.thirdparty

Смотрите также

4 комментария:

  1. Во-первых, если б разработчики 2009 не перехреначили внутренности VCL в самых нелогичных местах, то сборка бы вышла намного раньше.

    А во-вторых, номер версии мы как раз совершенно логично оставили 6.9.5, потому что именно эта версия была модифицирована для поддержки Delphi/C++ Builder 2009. Теперь мы будем вынуждены _параллельно_ вести две ветки продукта, чтобы давать новый функционал и багофиксы тем, кто не собирается переходить на 2009 и тем, кто на него перешел. Думаете логичнее было бы, скажем, дать номер версии 6.9.7, а потом выпустить обновление для FIBPlus, которые поддерживают прежние версии Delphi, дать номер версии 6.9.8 и потом объяснять, что 6.9.7 - это только для 2009, а вот 6.9.8 - это для всего, кроме 2009. Бардак. А так есть версия 6.9.5, она существует как для старых версий Delphi, так и для новых. А то, что это фактически разные исходники - не играет особой роли, потому что компоненты, методы и функции на уровне интерфейсов для разработчиков остались прежние.

    ОтветитьУдалить
  2. 2 Сергей Востриков:
    Нелогично, что вы оставили 6.9.5, потому как 6.9.5 уже выходила. Полгода тому назад как вышла. И насколько я знаю, в версии для 2009, у вас есть как минимум один исправленный баг, который присутствовал в версии 6.9.5(для Delphi 6).
    Я считаю, что логичнее было бы выпустить две версии 7.0. Одна - старая 6.9.5 для D < 2009, но с номером 7.0 и с исправлением багов(а хоть бы и без исправлений), и отдельно версия 7.0 только для Delphi 2009. Либо 6.9.6 - не принципиально. А теперь у вас получился ещё больший бардак. У вас есть две версии 6.9.5 для разных IDE и с разными багами. Ещё больше путаницы от того, что при установке trial-a для D2009 всё указывает на то, что это версия 7.0.

    А то что вы описали это не бардак, это маразм. Хотя сама необходимость вести две ветки параллельно - это тоже бардак в своём роде. Надеюсь, что к Сергею Бузаджи всё-таки придёт муза и он сумеет решить эту проблему.

    Ребят, вы бы копроративный блог завели что ли, чтобы рассказывать о своих трудностях и откладывать релизы. Да и поближе к народу быть. Мы бы вас даже может критиковали реже в своих блогах. =)

    ОтветитьУдалить
  3. Люди помогите пожалуста, у меня стоит Rad Studio Delphi 2009 and C++Builder 2009, я скачал JVCL 3.36 и JCL 1104 (с версией 1103 тоже самое), при запуске Install.bat в jcl вылетает ошибка приложения -

    JediInstaller.exe - обнаружена ошибка. Приложение будет закрыто. Приносим извинения за неудобства.
    а потом
    Exception EJclUnexpectedEOSequenceError in module JediInstaller.exe at 000038B1.

    Unexpected end of sequence.
    Раньше стоял JVCL334CompleteJCL1102-Build3072 и все было нормально в С++ билдере 6.
    Удалял старую версию с 6 билдера, тоже самое.
    Удалил 6 билдер, переставил CodeGear 2009 заного и все тоже самое.

    ОтветитьУдалить
  4. Анонимный, с такими проблемами лучше на форум.
    Или если, хочешь можем договориться и я решу проблему через удалённое подключение за отдельную плату.

    ОтветитьУдалить

Постоянные читатели